#include <unistd.h>

#include <SDL/SDL.h>

#define GP2X_BUTTON_UP              0
#define GP2X_BUTTON_DOWN            4
#define GP2X_BUTTON_LEFT            2
#define GP2X_BUTTON_RIGHT           6
#define GP2X_BUTTON_UPLEFT          1
#define GP2X_BUTTON_UPRIGHT         7
#define GP2X_BUTTON_DOWNLEFT        3
#define GP2X_BUTTON_DOWNRIGHT       5
#define GP2X_BUTTON_CLICK           18
#define GP2X_BUTTON_A               12
#define GP2X_BUTTON_B               13
#define GP2X_BUTTON_X               15
#define GP2X_BUTTON_Y               14
#define GP2X_BUTTON_L               10
#define GP2X_BUTTON_R               11
#define GP2X_BUTTON_START           8
#define GP2X_BUTTON_SELECT          9
#define GP2X_BUTTON_VOLUP           16
#define GP2X_BUTTON_VOLDOWN         17

#define DIR_GP2X           "/usr/gp2x"
#define DIR_GP2X_MENU      DIR_GP2X"/gp2xmenu"

#define SCREEN_WIDTH       320
#define SCREEN_HEIGHT      240

#define DEF_INC            3

#define KEY_TIMER_VALUE    40

#define EVT_KEY_LEFT       1
#define EVT_KEY_RIGHT      2
#define EVT_KEY_UP         4
#define EVT_KEY_DOWN       8

#define EVT_KEY_UPLEFT     16
#define EVT_KEY_UPRIGHT    32
#define EVT_KEY_DOWNLEFT   64
#define EVT_KEY_DOWNRIGHT  128

int  GP2X_JoystickInit( void );
void GP2X_JoystickUninit( void );
int  GP2X_JoystickEvents( SDL_Event *e );
void GP2X_Exit( void );
